# Record TCefButtonDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefButtonDelegate = record`

## Description

Implement this structure to handle Button events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefButtonDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_delegate_capi.h">CEF source file: /include/capi/views/cef_button_delegate_capi.h (cef_button_delegate_t))

## Overview

### Fields

| `base: TCefViewDelegate;`
| `on_button_pressed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;`
| `on_button_state_changed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;`

## Description

### Fields

| `base: TCefViewDelegate;`
This item has no description.

| `on_button_pressed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;`
This item has no description.

| `on_button_state_changed: procedure(self: PCefButtonDelegate; button: PCefButton); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.